function draw ()
{
	if (!!document.createElement ("canvas").getContext)
	{
		var canvas = document.getElementById ("draw");
		var context = canvas.getContext ("2d");

		var backgroundColour = "#fff";
		context.fillStyle = backgroundColour;
		context.fillRect (0, 0, canvas.width, canvas.height);

		/* Orange rectangle: */
		context.fillStyle = "#fc0"; // orange
		context.fillRect (20, 20, 100, 80);
		
		/* Green circle - see function below */
		fillCircle (context, 150, 150, 80, "#090"); // dark green
		
		/* Grey hexagon: */
		context.beginPath ();
		context.moveTo (140, 100);
		context.lineTo (170, 40);
		context.lineTo (240, 40);
		context.lineTo (270, 100);
		context.lineTo (240, 160);
		context.lineTo (170, 160);
		context.closePath ();
		context.fillStyle = "#ccc"; // light grey
		context.fill ();
		
		/* Blue triangle: */
		context.beginPath ();
		context.moveTo (180, 150);
		context.lineTo (240, 220);
		context.lineTo (200, 260);
		context.closePath ();
		context.fillStyle = "#39f"; // light blue
		context.fill ();
	}
}

/** Split out to make a function similar to fillRect(), so it may be reused. */
function fillCircle (context, x, y, radius, colour)
{
	context.beginPath ();
	context.arc (x, y, radius, 0, Math.PI * 2, false);
	context.closePath ();
	context.fillStyle = colour;
	context.fill ();
}
