var headings = ["Name", "RA (2000)", "Dec (2000)", "Magnitude"];

var orionStars =
[ {name: "Alpha Ori", ra: "05 55 10.29", dec: "+07 24 25.3", vmag: 0.45 },
  {name: "Beta Ori", ra: "05 14 32.27", dec: "-08 12 05.9", vmag: 0.18 },
  {name: "Gamma Ori", ra: "05 25 07.87", dec: "+06 20 59.0", vmag: 1.64 },
  {name: "Delta Ori", ra: "05 32 00.40", dec: "-00 17 56.7", vmag: 2.25 },
  {name: "Epsilon Ori", ra: "05 36 12.81", dec: "-01 12 06.9", vmag: 1.69 },
  {name: "Kappa Ori", ra: "05 47 45.39", dec: "-09 40 10.6", vmag: 2.07 },
  {name: "Zeta Ori", ra: "05 40 45.52", dec: "-01 56 33.3", vmag: 1.74 } ];

var html = "";

function createTable ()
{
	var table = document.getElementById ("table");
	addHeaderRow ();
	
	for (var row = 0; row < orionStars.length; row++)
	{
		addDataRow (row);
	}
	
	table.innerHTML = html;
}

function addHeaderRow ()
{
	html += "<tr>";
	
	for (var col = 0; col < headings.length; col++)
	{
		html += "<th>" + headings [col] + "</th>";
	}

	html += "</tr>";
}

function addDataRow (row)
{
	html += "<tr>";
	var star = orionStars [row];
	addDataCell (greekify (star.name));
	addDataCell (raToDegrees (star.ra));
	addDataCell (decToDegrees (star.dec));
	addDataCell (star.vmag);
	html += "</tr>";
}

function addDataCell (content)
{
	html += "<td>" + content + "</td>";
}

function greekify (name)
{
	var parts = name.split (" "); // 2 parts
	var symbol = "&" + parts [0].toLowerCase () + ";";
	return symbol + " " + parts [1];
}

function raToDegrees (raString)
{
	var parts = raString.split (" ");
	var hours = parseInt (parts [0], 10) + parseInt (parts [1], 10) / 60 + parseFloat (parts [2], 10) / 3600;
	var degrees = hours * 15; // 360 / 24 = 15
	return degrees.toFixed (4);
}

function decToDegrees (decString)
{
	var parts = decString.split (" ");
	var sign = 1;
	
	if (parts [0].charAt (0) == '-') sign = -1;
	
	var degrees = sign * (Math.abs (parseInt (parts [0], 10)) + parseInt (parts [1], 10) / 60 + parseFloat (parts [2], 10) / 3600);
	return degrees.toFixed (4);
}
	